# $Revision: 1.18 $, $Date: 2010/01/27 20:53:35 $
Summary:	PowerAdmin - a web-based front-end for the PowerDNS
Summary(pl.UTF-8):	PowerAdmin - oparty na WWW interfejs dla PowerDNS-a
Name:		poweradmin
Version:	2.1.4
Release:	1
License:	GPL
Group:		Applications/Databases/Interfaces
Source0:	https://www.poweradmin.org/download/%{name}-%{version}.tgz
# Source0-md5:	55b762bebc290bd1be061cb3363f976a
URL:		http://www.poweradmin.org/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	sed >= 4.0
Requires:	php(dbase)
Requires:	php(mysql)
Requires:	php(zlib)
Requires:	php-gettext
Requires:	php-pear-MDB2
Requires:	webapps
Requires:	webserver(indexfile)
Requires:	webserver(php)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
PowerAdmin is a web-based front-end for the PowerDNS
(http://www.powerdns.com/) DNS server.

%description -l pl.UTF-8
PowerAdmin to oparty na WWW interfejs dla serwera DNS PowerDNS
(http://www.powerdns.com/).

%prep
%setup -q

cat > apache.conf <<'EOF'
Alias /%{name} %{_appdir}
<Directory %{_appdir}>
	Allow from all
</Directory>
EOF

cat > lighttpd.conf <<'EOF'
alias.url += (
    "/%{name}" => "%{_appdir}",
)
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/{images,inc,docs,style,locale,install}}

install apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
install lighttpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

mv inc/config-me.inc.php $RPM_BUILD_ROOT%{_sysconfdir}/config.inc.php
install *.php 		$RPM_BUILD_ROOT%{_appdir}
install docs/*.sql docs/*.pot		$RPM_BUILD_ROOT%{_appdir}/docs
install images/*.*	$RPM_BUILD_ROOT%{_appdir}/images
install style/*.*	$RPM_BUILD_ROOT%{_appdir}/style
install inc/*.*		$RPM_BUILD_ROOT%{_appdir}/inc
cp -a locale		$RPM_BUILD_ROOT%{_appdir}/locale
install install/*.*	$RPM_BUILD_ROOT%{_appdir}/install
ln -s %{_sysconfdir}/config.inc.php $RPM_BUILD_ROOT%{_appdir}/inc/config.inc.php

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%banner %{name} -e <<'EOF'

To finish your setup point your browser to http://yourserver/poweradmin/install/ .

EOF

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc docs/{CHANGELOG,LICENSE,README}
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php
%{_appdir}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: poweradmin.spec,v $
Revision 1.18  2010/01/27 20:53:35  kosmo
- updated to 2.1.4

Revision 1.17  2009/06/04 20:14:25  paszczus
- updated to 2.1.3

Revision 1.16  2008/11/12 07:30:35  paszczus
- updated to 2.1.2 [security fix]

Revision 1.15  2008/08/20 17:16:12  qboosh
- nl cleanup

Revision 1.14  2008/08/20 11:40:16  paszczus
- updated to 2.1.1 (1.2.7 version on POWERADMIN_1_2_7)

Revision 1.13  2007/07/10 19:18:25  luzik
- works fine
- rel 1

Revision 1.12  2007/06/08 07:30:31  glen
- unified, adapterized

Revision 1.11  2007/06/08 06:22:07  luzik
- doubled command

Revision 1.10  2007/06/08 05:42:46  luzik
- switched to webapps
- updated to 1.2.7-patched

Revision 1.9  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.7  2006/11/27 21:01:14  glen
- php virtual extension deps

Revision 1.6  2005/12/13 14:37:24  glen
- adapterized (sorted %verify flags)

Revision 1.5  2005/11/20 23:06:08  glen
- use virtual webserver provide

Revision 1.4  2005/02/10 17:36:54  blekot
- add master ip patch, diff and poweradmin.conf from
  (Nastach {at} ai.pjwstk.edu.pl)
- rel 0.2

Revision 1.3  2005/02/08 18:58:40  qboosh
- pl fixes, unified Source0 URL, removed dup from files

Revision 1.2  2005/02/07 21:21:43  blekot
- cosmetics by: Marcin Banasiak (mailinggrup {at} o2.pl), thx

Revision 1.1  2005/02/07 19:47:40  blekot
- new spec from nastach (nastach {at} ai.pjwstk.edu.pl)
- modified by blekot
- rel 0.1
- TODO: check Group
